/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.MaterialResource;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class MatlResQtyDesc {
    public int calcQtyInStock() {
        return 0;
    }

    public int calcQtyOnHold() {
        return 0;
    }

    public int calcQtyAvailable() {
        return 0;
    }

    public int calcQtyOfContentAvailable() {
        return 0;
    }

    public void putQtyOnHold() {
    }

    public void releaseQtyOnHold() {
    }

    public boolean isQtyAvailable() {
        return false;
    }

    public BigDecimal estimateCostFor() {
        return new BigDecimal(0);
    }

    public boolean matches() {
        return false;
    }

    public int forecastQtyToReplenish() {
        return 0;
    }

    public void notifyNeedToReplenish() {
    }

    public void notifyNeedToReorder() {
    }

    public Vector listQtyOnHandByStorageUnit() {
        return new Vector();
    }

    /**
     * @clientCardinality 0..1
     * @supplierCardinality 0..*
     */
    private MatlResMgmt.RFQ.RFQDetail lnkUnnamed;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..1
     * @label derivable
     */
    private MatlResMgmt.InvoiceFromSupplier.InvoiceDetail lnkUnnamed1;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private CashSaleMgmt.CashSale.CashSaleDetail lnkUnnamed2;
    private int qtyInStock;
    private int qtyOnHold;
    private int needToReplenishLevel;
    private int qtyOnOrder;
    private int reorderLevel;
}


